Subject: Re: Request for inclusion of ipvs and ipvs-next trees in next

From: Simon Horman <[email-masked]>
Date: Tue, 6 Oct 2015 09:25:21 +0900

On Mon, Oct 05, 2015 at 11:40:54PM +1100, Stephen Rothwell wrote:
> Hi Simon,
> 
> On Fri, 2 Oct 2015 09:56:26 +0900 Simon Horman <[email-masked]> wrote:
> >
> > I would like to request the inclusion of 'ipvs.git' and 'ipvs-next.git' in
> > linux-next.
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/horms/ipvs.git
> > https://git.kernel.org/pub/scm/linux/kernel/git/horms/ipvs-next.git
> > 
> > I have been maintaining IPVS using those trees for a number of years and
> > maintaining IPVS without those trees for a number of years before that.
> > 
> > Usually 'ipvs-next.git' feeds into Pablo's 'nf-next.git' which
> > in turn feeds into Dave's 'net-next.git'. Likewise for s/-next//.
> 
> Added from tomorrow.  (just noting that I don't fetch the nf{,-next}
> trees ...)

Thanks, noted.

> I am using the git:... version of the URLs and assume that you mean for me
> to fetch the master branch of each of those trees.

Sorry for not being clearer about the branch; yes, the master branch is
the one to fetch.

> Thanks for adding your subsystem tree as a participant of linux-next.  As
> you may know, this is not a judgment of your code.  The purpose of
> linux-next is for integration testing and to lower the impact of
> conflicts between subsystems in the next merge window. 
> 
> You will need to ensure that the patches/commits in your tree/series have
> been:
>      * submitted under GPL v2 (or later) and include the Contributor's
>         Signed-off-by,
>      * posted to the relevant mailing list,
>      * reviewed by you (or another maintainer of your subsystem tree),
>      * successfully unit tested, and 
>      * destined for the current or next Linux merge window.
> 
> Basically, this should be just what you would send to Linus (or ask him
> to fetch).  It is allowed to be rebased if you deem it necessary.